<template>
	<div class="header">
		<h3>Товаров в корзине на: {{ totalCartPrice }} {{ currency }}</h3>
	</div>
</template>

<script>
import { mapState } from "vuex";
export default {
	name: "Header",
	computed: {
		...mapState(["cart", "currency"]),
		totalCartPrice() {
			return this.cart.reduce((acc, curr) => acc + curr.price * curr.amount, 0);
		},
	},
};
</script>

<style scoped>
.header {
	padding: 10px;
	background: #e5e5e5;
}
</style>
